Bug 1219283 - temporary unavailability of fedora servers
Summary: temporary unavailability of fedora servers
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 22
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
: 1218353 1220776 1233996 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-06 23:06 UTC by iplexsia
Modified: 2015-09-13 22:42 UTC (History)
28 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-06-24 12:38:53 UTC


Attachments (Terms of Use)
LIBREPO_DEBUG=1 log for dnf upgrade (85.97 KB, text/plain)
2015-05-12 08:40 UTC, philip ross
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1205341 None None None Never
Red Hat Bugzilla 1209862 None None None Never
Red Hat Bugzilla 1236291 None None None Never

Internal Trackers: 1205341 1209862 1236291 1257034

Description iplexsia 2015-05-06 23:06:24 UTC
Description of problem:

i've installed Fedora 22 Final TC2 fresh install but when i run this follow commands

dnf update
dnf install *
dnf repolist

i give this error

[root@localhost iplexsia]# dnf repolist
Error: Failed to synchronize cache for repo 'fedora' from 'https://mirrors.fedoraproject.org/metalink?repo=fedora-22&arch=x86_64': Cannot download repomd.xml: Cannot download repodata/repomd.xml: All mirrors were tried
[root@localhost iplexsia]# 

i can access via web to mirrors.fedoraproject.org inclusive the metadata file is available for downloading, algo i try with dnf clean all but is not work.

i've talk with kparal and he tell me that maybe is a problem with isp network or with my location "Chile" but in my others installations F21, F20 dnf is working fine.


Version-Release number of selected component (if applicable):

[root@localhost iplexsia]# rpm -qa |grep -i dnf
python-dnf-plugins-extras-migrate-0.0.7-1.fc22.noarch
python-dnf-plugins-core-0.1.6-3.fc22.noarch
python-dnf-plugins-extras-common-0.0.7-1.fc22.noarch
dnf-plugins-core-0.1.6-3.fc22.noarch
python-dnf-0.6.5-1.fc22.noarch
dnf-yum-0.6.5-1.fc22.noarch
dnf-conf-0.6.5-1.fc22.noarch
dnf-0.6.5-1.fc22.noarch
python3-dnf-0.6.5-1.fc22.noarch
[root@localhost iplexsia]#

Comment 1 Radek Holy 2015-05-07 07:01:07 UTC
Hello, thank you for the report.
Could you please run the DNF with DEBUG_LIBSOLV environment variable set to 1 and post the output here?
FYI, the same issue was discussed here https://lists.fedoraproject.org/pipermail/devel/2015-May/210423.html recently.

Comment 2 iplexsia 2015-05-07 07:48:19 UTC
Thank Radek and sorry my ignorance with dnf but can you give me a example of dnf debug_libsolv ?

Comment 3 Michal Luscon 2015-05-07 07:53:37 UTC
I am sure that Radek actually ment LIBREPO_DEBUG. You can set it by:
# export LIBREPO_DEBUG=1
# dnf command

Comment 4 Radek Holy 2015-05-07 07:54:23 UTC
heh, yes, sorry for that :(

Comment 5 iplexsia 2015-05-07 08:06:54 UTC
Thank so much Michal and Radek :) here is the output of "dnf repolist" 

[liveuser@localhost ~]$ su
[root@localhost liveuser]# clear
[root@localhost liveuser]# export LIBREPO_DEBUG=1
[root@localhost liveuser]# dnf repolist all 
Librepo version: 1.7.13 with CURL_GLOBAL_ACK_EINTR support (libcurl/7.40.0 NSS/3.18 Basic ECC zlib/1.2.8 libidn/1.29 libssh2/1.5.0)
lr_download: Target: file:///etc/dnf/dnf.conf (-)
select_next_target: Selecting mirror for: file:///etc/dnf/dnf.conf
prepare_next_transfer: URL: file:///etc/dnf/dnf.conf
add_librepo_xattr: Cannot set xattr user.Librepo.DownloadInProgress (fd: 4): Operation not supported
lr_download: Downloading started
check_transfer_statuses: Transfer finished: file:///etc/dnf/dnf.conf (Effective url: file:///etc/dnf/dnf.conf)
lr_download: Target: file:///etc/dnf/dnf.conf (-)
select_next_target: Selecting mirror for: file:///etc/dnf/dnf.conf
prepare_next_transfer: URL: file:///etc/dnf/dnf.conf
add_librepo_xattr: Cannot set xattr user.Librepo.DownloadInProgress (fd: 6): Operation not supported
lr_download: Downloading started
check_transfer_statuses: Transfer finished: file:///etc/dnf/dnf.conf (Effective url: file:///etc/dnf/dnf.conf)
lr_download: Target: file:///etc/yum.repos.d/fedora-updates-testing.repo (-)
select_next_target: Selecting mirror for: file:///etc/yum.repos.d/fedora-updates-testing.repo
prepare_next_transfer: URL: file:///etc/yum.repos.d/fedora-updates-testing.repo
add_librepo_xattr: Cannot set xattr user.Librepo.DownloadInProgress (fd: 6): Operation not supported
lr_download: Downloading started
check_transfer_statuses: Transfer finished: file:///etc/yum.repos.d/fedora-updates-testing.repo (Effective url: file:///etc/yum.repos.d/fedora-updates-testing.repo)
lr_download: Target: file:///etc/yum.repos.d/fedora-updates.repo (-)
select_next_target: Selecting mirror for: file:///etc/yum.repos.d/fedora-updates.repo
prepare_next_transfer: URL: file:///etc/yum.repos.d/fedora-updates.repo
add_librepo_xattr: Cannot set xattr user.Librepo.DownloadInProgress (fd: 6): Operation not supported
lr_download: Downloading started
check_transfer_statuses: Transfer finished: file:///etc/yum.repos.d/fedora-updates.repo (Effective url: file:///etc/yum.repos.d/fedora-updates.repo)
lr_download: Target: file:///etc/yum.repos.d/fedora.repo (-)
select_next_target: Selecting mirror for: file:///etc/yum.repos.d/fedora.repo
prepare_next_transfer: URL: file:///etc/yum.repos.d/fedora.repo
add_librepo_xattr: Cannot set xattr user.Librepo.DownloadInProgress (fd: 6): Operation not supported
lr_download: Downloading started
check_transfer_statuses: Transfer finished: file:///etc/yum.repos.d/fedora.repo (Effective url: file:///etc/yum.repos.d/fedora.repo)
lr_handle_perform: Using dir: /var/cache/dnf/x86_64/22/fedora
lr_handle_perform: Using own SIGINT handler
lr_handle_prepare_internal_mirrorlist: Preparing internal mirrorlist
lr_handle_prepare_internal_mirrorlist: Finalizing internal mirrorlist
lr_handle_prepare_internal_mirrorlist: Finalizing mirrors reported via LRI_MIRRORS
lr_handle_perform: Downloading/Locating yum repo
lr_yum_use_local: Locating repo..
lr_yum_use_local: open(/var/cache/dnf/x86_64/22/fedora/repodata/repomd.xml): No such file or directory
lr_handle_perform: Restoring an old SIGINT handler
lr_handle_setopt: WARNING! Deprecated LRO_MIRRORLIST used
lr_handle_perform: Using dir: /tmp/dnf-61td3v
lr_handle_perform: Using own SIGINT handler
lr_handle_prepare_internal_mirrorlist: Preparing internal mirrorlist
lr_download: Target: https://mirrors.fedoraproject.org/metalink?repo=fedora-22&arch=x86_64 (-)
select_next_target: Selecting mirror for: https://mirrors.fedoraproject.org/metalink?repo=fedora-22&arch=x86_64
prepare_next_transfer: URL: https://mirrors.fedoraproject.org/metalink?repo=fedora-22&arch=x86_64
add_librepo_xattr: Cannot set xattr user.Librepo.DownloadInProgress (fd: 8): Operation not supported
lr_download: Downloading started
check_transfer_statuses: Transfer finished: https://mirrors.fedoraproject.org/metalink?repo=fedora-22&arch=x86_64 (Effective url: https://mirrors.fedoraproject.org/metalink?repo=fedora-22&arch=x86_64)
lr_handle_prepare_metalink: Parsing metalink.xml
lr_handle_prepare_metalink: Mirrors from metalink:
  rsync://fedora.c3sl.ufpr.br/fedora/linux/development/22/x86_64/os/repodata/repomd.xml
  ftp://fedora.c3sl.ufpr.br/fedora-enchilada/linux/development/22/x86_64/os/repodata/repomd.xml
  http://fedora.c3sl.ufpr.br/linux/development/22/x86_64/os/repodata/repomd.xml
  rsync://mirror.uta.edu.ec/fedora/development/22/x86_64/os/repodata/repomd.xml
  http://mirror.uta.edu.ec/fedora/development/22/x86_64/os/repodata/repomd.xml
  ftp://mirror.uta.edu.ec/fedora/development/22/x86_64/os/repodata/repomd.xml
  http://mirror.globo.com/fedora/linux/development/22/x86_64/os/repodata/repomd.xml
  rsync://mirror.cedia.org.ec/fedora/development/22/x86_64/os/repodata/repomd.xml
  http://mirror.cedia.org.ec/fedora/development/22/x86_64/os/repodata/repomd.xml
  ftp://mirror.cedia.org.ec/fedora/development/22/x86_64/os/repodata/repomd.xml
lr_handle_prepare_metalink: Metalink parsed
lr_handle_prepare_internal_mirrorlist: Finalizing internal mirrorlist
lr_handle_prepare_internal_mirrorlist: Finalizing mirrors reported via LRI_MIRRORS
lr_handle_perform: Downloading/Locating yum repo
lr_yum_download_remote: Downloading/Copying repo..
lr_yum_download_repomd: Downloading repomd.xml via mirrorlist
lr_yum_download_repomd: Expected checksum for repomd.xml: (sha512) 369015962401e265585a63a1e3d5f3d311fce987de91a8fba51d922ddb0b223a2e262e62c80c4fb1f919c797ba5daf9ce7971075aceb87163efa64813c616ab9
lr_yum_download_repomd: Expected alternate checksum for repomd.xml: (sha512) 2e5c3db9e5561ef65adfd1d156431daaed8e37f927844bcc5d10b8b6cc0c57f6a515c33baa8a1ac5c842adc890269bac190dcbcd658fdbd7cedee7c19f3a0a28
lr_download: Target: repodata/repomd.xml (-)
lr_prepare_lrmirrors: Preparing internal mirror list for handle id: 0x2140350
lr_prepare_lrmirrors: Mirror: rsync://fedora.c3sl.ufpr.br/fedora/linux/development/22/x86_64/os/
lr_prepare_lrmirrors: Mirror: ftp://fedora.c3sl.ufpr.br/fedora-enchilada/linux/development/22/x86_64/os/
lr_prepare_lrmirrors: Mirror: http://fedora.c3sl.ufpr.br/linux/development/22/x86_64/os/
lr_prepare_lrmirrors: Mirror: rsync://mirror.uta.edu.ec/fedora/development/22/x86_64/os/
lr_prepare_lrmirrors: Mirror: http://mirror.uta.edu.ec/fedora/development/22/x86_64/os/
lr_prepare_lrmirrors: Mirror: ftp://mirror.uta.edu.ec/fedora/development/22/x86_64/os/
lr_prepare_lrmirrors: Mirror: http://mirror.globo.com/fedora/linux/development/22/x86_64/os/
lr_prepare_lrmirrors: Mirror: rsync://mirror.cedia.org.ec/fedora/development/22/x86_64/os/
lr_prepare_lrmirrors: Mirror: http://mirror.cedia.org.ec/fedora/development/22/x86_64/os/
lr_prepare_lrmirrors: Mirror: ftp://mirror.cedia.org.ec/fedora/development/22/x86_64/os/
select_next_target: Selecting mirror for: repodata/repomd.xml
select_suitable_mirror: Skipping rsync url: rsync://fedora.c3sl.ufpr.br/fedora/linux/development/22/x86_64/os/
prepare_next_transfer: URL: ftp://fedora.c3sl.ufpr.br/fedora-enchilada/linux/development/22/x86_64/os/repodata/repomd.xml
add_librepo_xattr: Cannot set xattr user.Librepo.DownloadInProgress (fd: 10): Operation not supported
lr_download: Downloading started
check_transfer_statuses: Transfer finished: repodata/repomd.xml (Effective url: ftp://fedora.c3sl.ufpr.br/fedora-enchilada/linux/development/22/x86_64/os/repodata/repomd.xml)
check_transfer_statuses: Error during transfer: Downloading successful, but checksum doesn't match. Calculated: 9004716f159f5328ddb5651cee30782072f23a7834eaba21bb5e219479fd5a2986fa0d8c73b26741b08ebe9518d94385fba45d1207868763a73d39aa8d0dfd46(sha512) 9004716f159f5328ddb5651cee30782072f23a7834eaba21bb5e219479fd5a2986fa0d8c73b26741b08ebe9518d94385fba45d1207868763a73d39aa8d0dfd46(sha512)  Expected: 2e5c3db9e5561ef65adfd1d156431daaed8e37f927844bcc5d10b8b6cc0c57f6a515c33baa8a1ac5c842adc890269bac190dcbcd658fdbd7cedee7c19f3a0a28(sha512) 369015962401e265585a63a1e3d5f3d311fce987de91a8fba51d922ddb0b223a2e262e62c80c4fb1f919c797ba5daf9ce7971075aceb87163efa64813c616ab9(sha512) 
check_transfer_statuses: Ignore error - Try another mirror
select_next_target: Selecting mirror for: repodata/repomd.xml
select_suitable_mirror: Skipping rsync url: rsync://fedora.c3sl.ufpr.br/fedora/linux/development/22/x86_64/os/
prepare_next_transfer: URL: http://fedora.c3sl.ufpr.br/linux/development/22/x86_64/os/repodata/repomd.xml
add_librepo_xattr: Cannot set xattr user.Librepo.DownloadInProgress (fd: 10): Operation not supported
check_transfer_statuses: Transfer finished: repodata/repomd.xml (Effective url: http://fedora.c3sl.ufpr.br/linux/development/22/x86_64/os/repodata/repomd.xml)
check_transfer_statuses: Error during transfer: Downloading successful, but checksum doesn't match. Calculated: 9004716f159f5328ddb5651cee30782072f23a7834eaba21bb5e219479fd5a2986fa0d8c73b26741b08ebe9518d94385fba45d1207868763a73d39aa8d0dfd46(sha512) 9004716f159f5328ddb5651cee30782072f23a7834eaba21bb5e219479fd5a2986fa0d8c73b26741b08ebe9518d94385fba45d1207868763a73d39aa8d0dfd46(sha512)  Expected: 2e5c3db9e5561ef65adfd1d156431daaed8e37f927844bcc5d10b8b6cc0c57f6a515c33baa8a1ac5c842adc890269bac190dcbcd658fdbd7cedee7c19f3a0a28(sha512) 369015962401e265585a63a1e3d5f3d311fce987de91a8fba51d922ddb0b223a2e262e62c80c4fb1f919c797ba5daf9ce7971075aceb87163efa64813c616ab9(sha512) 
check_transfer_statuses: Ignore error - Try another mirror
select_next_target: Selecting mirror for: repodata/repomd.xml
select_suitable_mirror: Skipping rsync url: rsync://fedora.c3sl.ufpr.br/fedora/linux/development/22/x86_64/os/
select_suitable_mirror: Skipping rsync url: rsync://mirror.uta.edu.ec/fedora/development/22/x86_64/os/
prepare_next_transfer: URL: http://mirror.uta.edu.ec/fedora/development/22/x86_64/os/repodata/repomd.xml
add_librepo_xattr: Cannot set xattr user.Librepo.DownloadInProgress (fd: 10): Operation not supported
check_transfer_statuses: Transfer finished: repodata/repomd.xml (Effective url: http://mirror.uta.edu.ec/fedora/development/22/x86_64/os/repodata/repomd.xml)
check_transfer_statuses: Error during transfer: Downloading successful, but checksum doesn't match. Calculated: 9004716f159f5328ddb5651cee30782072f23a7834eaba21bb5e219479fd5a2986fa0d8c73b26741b08ebe9518d94385fba45d1207868763a73d39aa8d0dfd46(sha512) 9004716f159f5328ddb5651cee30782072f23a7834eaba21bb5e219479fd5a2986fa0d8c73b26741b08ebe9518d94385fba45d1207868763a73d39aa8d0dfd46(sha512)  Expected: 2e5c3db9e5561ef65adfd1d156431daaed8e37f927844bcc5d10b8b6cc0c57f6a515c33baa8a1ac5c842adc890269bac190dcbcd658fdbd7cedee7c19f3a0a28(sha512) 369015962401e265585a63a1e3d5f3d311fce987de91a8fba51d922ddb0b223a2e262e62c80c4fb1f919c797ba5daf9ce7971075aceb87163efa64813c616ab9(sha512) 
check_transfer_statuses: Ignore error - Try another mirror
select_next_target: Selecting mirror for: repodata/repomd.xml
select_suitable_mirror: Skipping rsync url: rsync://fedora.c3sl.ufpr.br/fedora/linux/development/22/x86_64/os/
select_suitable_mirror: Skipping rsync url: rsync://mirror.uta.edu.ec/fedora/development/22/x86_64/os/
prepare_next_transfer: URL: ftp://mirror.uta.edu.ec/fedora/development/22/x86_64/os/repodata/repomd.xml
add_librepo_xattr: Cannot set xattr user.Librepo.DownloadInProgress (fd: 10): Operation not supported
check_transfer_statuses: Transfer finished: repodata/repomd.xml (Effective url: ftp://mirror.uta.edu.ec/fedora/development/22/x86_64/os/repodata/repomd.xml)
check_transfer_statuses: Error during transfer: Downloading successful, but checksum doesn't match. Calculated: 9004716f159f5328ddb5651cee30782072f23a7834eaba21bb5e219479fd5a2986fa0d8c73b26741b08ebe9518d94385fba45d1207868763a73d39aa8d0dfd46(sha512) 9004716f159f5328ddb5651cee30782072f23a7834eaba21bb5e219479fd5a2986fa0d8c73b26741b08ebe9518d94385fba45d1207868763a73d39aa8d0dfd46(sha512)  Expected: 2e5c3db9e5561ef65adfd1d156431daaed8e37f927844bcc5d10b8b6cc0c57f6a515c33baa8a1ac5c842adc890269bac190dcbcd658fdbd7cedee7c19f3a0a28(sha512) 369015962401e265585a63a1e3d5f3d311fce987de91a8fba51d922ddb0b223a2e262e62c80c4fb1f919c797ba5daf9ce7971075aceb87163efa64813c616ab9(sha512) 
check_transfer_statuses: Ignore error - Try another mirror
select_next_target: Selecting mirror for: repodata/repomd.xml
select_suitable_mirror: Skipping rsync url: rsync://fedora.c3sl.ufpr.br/fedora/linux/development/22/x86_64/os/
select_suitable_mirror: Skipping rsync url: rsync://mirror.uta.edu.ec/fedora/development/22/x86_64/os/
prepare_next_transfer: URL: http://mirror.globo.com/fedora/linux/development/22/x86_64/os/repodata/repomd.xml
add_librepo_xattr: Cannot set xattr user.Librepo.DownloadInProgress (fd: 10): Operation not supported
check_transfer_statuses: Transfer finished: repodata/repomd.xml (Effective url: http://mirror.globo.com/fedora/linux/development/22/x86_64/os/repodata/repomd.xml)
check_transfer_statuses: Error during transfer: Downloading successful, but checksum doesn't match. Calculated: 9004716f159f5328ddb5651cee30782072f23a7834eaba21bb5e219479fd5a2986fa0d8c73b26741b08ebe9518d94385fba45d1207868763a73d39aa8d0dfd46(sha512) 9004716f159f5328ddb5651cee30782072f23a7834eaba21bb5e219479fd5a2986fa0d8c73b26741b08ebe9518d94385fba45d1207868763a73d39aa8d0dfd46(sha512)  Expected: 2e5c3db9e5561ef65adfd1d156431daaed8e37f927844bcc5d10b8b6cc0c57f6a515c33baa8a1ac5c842adc890269bac190dcbcd658fdbd7cedee7c19f3a0a28(sha512) 369015962401e265585a63a1e3d5f3d311fce987de91a8fba51d922ddb0b223a2e262e62c80c4fb1f919c797ba5daf9ce7971075aceb87163efa64813c616ab9(sha512) 
check_transfer_statuses: Ignore error - Try another mirror
select_next_target: Selecting mirror for: repodata/repomd.xml
select_suitable_mirror: Skipping rsync url: rsync://fedora.c3sl.ufpr.br/fedora/linux/development/22/x86_64/os/
select_suitable_mirror: Skipping rsync url: rsync://mirror.uta.edu.ec/fedora/development/22/x86_64/os/
select_suitable_mirror: Skipping rsync url: rsync://mirror.cedia.org.ec/fedora/development/22/x86_64/os/
prepare_next_transfer: URL: http://mirror.cedia.org.ec/fedora/development/22/x86_64/os/repodata/repomd.xml
add_librepo_xattr: Cannot set xattr user.Librepo.DownloadInProgress (fd: 10): Operation not supported
check_transfer_statuses: Transfer finished: repodata/repomd.xml (Effective url: http://mirror.cedia.org.ec/fedora/development/22/x86_64/os/repodata/repomd.xml)
check_transfer_statuses: Error during transfer: Downloading successful, but checksum doesn't match. Calculated: 9004716f159f5328ddb5651cee30782072f23a7834eaba21bb5e219479fd5a2986fa0d8c73b26741b08ebe9518d94385fba45d1207868763a73d39aa8d0dfd46(sha512) 9004716f159f5328ddb5651cee30782072f23a7834eaba21bb5e219479fd5a2986fa0d8c73b26741b08ebe9518d94385fba45d1207868763a73d39aa8d0dfd46(sha512)  Expected: 2e5c3db9e5561ef65adfd1d156431daaed8e37f927844bcc5d10b8b6cc0c57f6a515c33baa8a1ac5c842adc890269bac190dcbcd658fdbd7cedee7c19f3a0a28(sha512) 369015962401e265585a63a1e3d5f3d311fce987de91a8fba51d922ddb0b223a2e262e62c80c4fb1f919c797ba5daf9ce7971075aceb87163efa64813c616ab9(sha512) 
check_transfer_statuses: Ignore error - Try another mirror
select_next_target: Selecting mirror for: repodata/repomd.xml
select_suitable_mirror: Skipping rsync url: rsync://fedora.c3sl.ufpr.br/fedora/linux/development/22/x86_64/os/
select_suitable_mirror: Skipping rsync url: rsync://mirror.uta.edu.ec/fedora/development/22/x86_64/os/
select_suitable_mirror: Skipping rsync url: rsync://mirror.cedia.org.ec/fedora/development/22/x86_64/os/
prepare_next_transfer: URL: ftp://mirror.cedia.org.ec/fedora/development/22/x86_64/os/repodata/repomd.xml
add_librepo_xattr: Cannot set xattr user.Librepo.DownloadInProgress (fd: 10): Operation not supported
check_transfer_statuses: Transfer finished: repodata/repomd.xml (Effective url: ftp://mirror.cedia.org.ec/fedora/development/22/x86_64/os/repodata/repomd.xml)
check_transfer_statuses: Error during transfer: Downloading successful, but checksum doesn't match. Calculated: 9004716f159f5328ddb5651cee30782072f23a7834eaba21bb5e219479fd5a2986fa0d8c73b26741b08ebe9518d94385fba45d1207868763a73d39aa8d0dfd46(sha512) 9004716f159f5328ddb5651cee30782072f23a7834eaba21bb5e219479fd5a2986fa0d8c73b26741b08ebe9518d94385fba45d1207868763a73d39aa8d0dfd46(sha512)  Expected: 2e5c3db9e5561ef65adfd1d156431daaed8e37f927844bcc5d10b8b6cc0c57f6a515c33baa8a1ac5c842adc890269bac190dcbcd658fdbd7cedee7c19f3a0a28(sha512) 369015962401e265585a63a1e3d5f3d311fce987de91a8fba51d922ddb0b223a2e262e62c80c4fb1f919c797ba5daf9ce7971075aceb87163efa64813c616ab9(sha512) 
check_transfer_statuses: Ignore error - Try another mirror
select_next_target: Selecting mirror for: repodata/repomd.xml
select_suitable_mirror: Skipping rsync url: rsync://fedora.c3sl.ufpr.br/fedora/linux/development/22/x86_64/os/
select_suitable_mirror: Skipping rsync url: rsync://mirror.uta.edu.ec/fedora/development/22/x86_64/os/
select_suitable_mirror: Skipping rsync url: rsync://mirror.cedia.org.ec/fedora/development/22/x86_64/os/
select_suitable_mirror: All mirrors were tried without success
lr_download: Error while downloading: Cannot download repodata/repomd.xml: All mirrors were tried
lr_yum_download_repomd: repomd.xml download was unsuccessful
lr_handle_perform: Restoring an old SIGINT handler
lr_handle_perform: Using dir: /var/cache/dnf/x86_64/22/fedora
lr_handle_perform: Using own SIGINT handler
lr_handle_prepare_internal_mirrorlist: Preparing internal mirrorlist
lr_handle_prepare_internal_mirrorlist: Finalizing internal mirrorlist
lr_handle_prepare_internal_mirrorlist: Finalizing mirrors reported via LRI_MIRRORS
lr_handle_perform: Downloading/Locating yum repo
lr_yum_use_local: Locating repo..
lr_yum_use_local: open(/var/cache/dnf/x86_64/22/fedora/repodata/repomd.xml): No such file or directory
lr_handle_perform: Restoring an old SIGINT handler
lr_handle_perform: Using dir: /var/cache/dnf/x86_64/22/updates-testing
lr_handle_perform: Using own SIGINT handler
lr_handle_prepare_internal_mirrorlist: Preparing internal mirrorlist
lr_handle_prepare_internal_mirrorlist: Finalizing internal mirrorlist
lr_handle_prepare_internal_mirrorlist: Finalizing mirrors reported via LRI_MIRRORS
lr_handle_perform: Downloading/Locating yum repo
lr_yum_use_local: Locating repo..
lr_yum_use_local: open(/var/cache/dnf/x86_64/22/updates-testing/repodata/repomd.xml): No such file or directory
lr_handle_perform: Restoring an old SIGINT handler
lr_handle_perform: Using dir: /var/cache/dnf/x86_64/22/updates
lr_handle_perform: Using own SIGINT handler
lr_handle_prepare_internal_mirrorlist: Preparing internal mirrorlist
lr_handle_prepare_internal_mirrorlist: Finalizing internal mirrorlist
lr_handle_prepare_internal_mirrorlist: Finalizing mirrors reported via LRI_MIRRORS
lr_handle_perform: Downloading/Locating yum repo
lr_yum_use_local: Locating repo..
lr_yum_use_local: open(/var/cache/dnf/x86_64/22/updates/repodata/repomd.xml): No such file or directory
lr_handle_perform: Restoring an old SIGINT handler
Error: Failed to synchronize cache for repo 'fedora' from 'https://mirrors.fedoraproject.org/metalink?repo=fedora-22&arch=x86_64': Cannot download repomd.xml: Cannot download repodata/repomd.xml: All mirrors were tried
[root@localhost liveuser]#

Comment 6 Michal Luscon 2015-05-07 10:09:14 UTC
As you can see, the checksum of repomd.xml listed in metalink does not match actual repomd.xml checksum in mirror. Could you please try it again(with enabled LIBREBO_DEBUG) as there were some issues with Fedora infrastructure earlier today?

Comment 7 iplexsia 2015-05-07 10:36:01 UTC
Michal, Radek thank for all the help, i've run "dnf update" and all work fine. 

i've upload the output here http://fpaste.org/219357/ because the log is too long, now the only 'error' that i see was this >

add_librepo_xattr: Cannot set xattr user.Librepo.DownloadInProgress (fd: 6): Operation not supported

the rest operation work fine ^^

Again, thank for the knowledge about #export LIBREPO_DEBUG=1

Regards from Chile

Comment 8 Thyago Neves 2015-05-08 12:48:39 UTC
Hi, I'm getting the same error. I fresh installed the Fedora 22 Beta and the output log with LIBREPO_DEBUG=1 is:

[root@localhost thyago]# export LIBREPO_DEBUG=1
[root@localhost thyago]# dnf update
Librepo version: 1.7.13 with CURL_GLOBAL_ACK_EINTR support (libcurl/7.40.0 NSS/3.17.4 Basic ECC zlib/1.2.8 libidn/1.29 libssh2/1.5.0)
lr_download: Target: file:///etc/dnf/dnf.conf (-)
select_next_target: Selecting mirror for: file:///etc/dnf/dnf.conf
prepare_next_transfer: URL: file:///etc/dnf/dnf.conf
add_librepo_xattr: Cannot set xattr user.Librepo.DownloadInProgress (fd: 4): Operação não suportada 
lr_download: Downloading started
check_transfer_statuses: Transfer finished: file:///etc/dnf/dnf.conf (Effective url: file:///etc/dnf/dnf.conf)
lr_download: Target: file:///etc/dnf/dnf.conf (-)
select_next_target: Selecting mirror for: file:///etc/dnf/dnf.conf
prepare_next_transfer: URL: file:///etc/dnf/dnf.conf
add_librepo_xattr: Cannot set xattr user.Librepo.DownloadInProgress (fd: 6): Operação não suportada 
lr_download: Downloading started
check_transfer_statuses: Transfer finished: file:///etc/dnf/dnf.conf (Effective url: file:///etc/dnf/dnf.conf)
lr_download: Target: file:///etc/yum.repos.d/fedora-updates-testing.repo (-)
select_next_target: Selecting mirror for: file:///etc/yum.repos.d/fedora-updates-testing.repo
prepare_next_transfer: URL: file:///etc/yum.repos.d/fedora-updates-testing.repo
add_librepo_xattr: Cannot set xattr user.Librepo.DownloadInProgress (fd: 6): Operação não suportada 
lr_download: Downloading started
check_transfer_statuses: Transfer finished: file:///etc/yum.repos.d/fedora-updates-testing.repo (Effective url: file:///etc/yum.repos.d/fedora-updates-testing.repo)
lr_download: Target: file:///etc/yum.repos.d/fedora-updates.repo (-)
select_next_target: Selecting mirror for: file:///etc/yum.repos.d/fedora-updates.repo
prepare_next_transfer: URL: file:///etc/yum.repos.d/fedora-updates.repo
add_librepo_xattr: Cannot set xattr user.Librepo.DownloadInProgress (fd: 6): Operação não suportada 
lr_download: Downloading started
check_transfer_statuses: Transfer finished: file:///etc/yum.repos.d/fedora-updates.repo (Effective url: file:///etc/yum.repos.d/fedora-updates.repo)
lr_download: Target: file:///etc/yum.repos.d/fedora.repo (-)
select_next_target: Selecting mirror for: file:///etc/yum.repos.d/fedora.repo
prepare_next_transfer: URL: file:///etc/yum.repos.d/fedora.repo
add_librepo_xattr: Cannot set xattr user.Librepo.DownloadInProgress (fd: 6): Operação não suportada 
lr_download: Downloading started
check_transfer_statuses: Transfer finished: file:///etc/yum.repos.d/fedora.repo (Effective url: file:///etc/yum.repos.d/fedora.repo)
lr_handle_perform: Using dir: /var/cache/dnf/x86_64/22/fedora
lr_handle_perform: Using own SIGINT handler
lr_handle_prepare_internal_mirrorlist: Preparing internal mirrorlist
lr_handle_prepare_metalink: Local metalink.xml found at /var/cache/dnf/x86_64/22/fedora/metalink.xml
lr_handle_prepare_metalink: Parsing metalink.xml
lr_handle_prepare_metalink: Mirrors from metalink:
  http://mirror.globo.com/fedora/linux/development/22/x86_64/os/repodata/repomd.xml
  ftp://fedora.c3sl.ufpr.br/fedora-enchilada/linux/development/22/x86_64/os/repodata/repomd.xml
  rsync://fedora.c3sl.ufpr.br/fedora/linux/development/22/x86_64/os/repodata/repomd.xml
  http://fedora.c3sl.ufpr.br/linux/development/22/x86_64/os/repodata/repomd.xml
  http://mirror.uta.edu.ec/fedora/development/22/x86_64/os/repodata/repomd.xml
  ftp://mirror.uta.edu.ec/fedora/development/22/x86_64/os/repodata/repomd.xml
  rsync://mirror.uta.edu.ec/fedora/development/22/x86_64/os/repodata/repomd.xml
  ftp://mirror.cedia.org.ec/fedora/development/22/x86_64/os/repodata/repomd.xml
  rsync://mirror.cedia.org.ec/fedora/development/22/x86_64/os/repodata/repomd.xml
  http://mirror.cedia.org.ec/fedora/development/22/x86_64/os/repodata/repomd.xml
lr_handle_prepare_metalink: Metalink parsed
lr_handle_prepare_internal_mirrorlist: Finalizing internal mirrorlist
lr_handle_prepare_internal_mirrorlist: Finalizing mirrors reported via LRI_MIRRORS
lr_handle_perform: Downloading/Locating yum repo
lr_yum_use_local: Locating repo..
lr_yum_use_local: Found local metalink: /var/cache/dnf/x86_64/22/fedora/metalink.xml
lr_yum_use_local: Parsing repomd.xml
lr_yum_use_local: Repomd revision: 1431023507
lr_yum_use_local: Repository was successfully located
lr_yum_check_checksum_of_md_record: Checking checksum of /var/cache/dnf/x86_64/22/fedora/repodata/40215b37e4f20d660285a455753ca7c6f9dd13eb58cdfd36e386931cb956c7e1-filelists.xml.gz (expected: 40215b37e4f20d660285a455753ca7c6f9dd13eb58cdfd36e386931cb956c7e1 [sha256])
lr_checksum_fd_compare: Using checksum cached in xattr: [user.Zif.MdChecksum[1431087067]] 40215b37e4f20d660285a455753ca7c6f9dd13eb58cdfd36e386931cb956c7e1
lr_yum_check_checksum_of_md_record: Checksum check - Passed
lr_yum_check_checksum_of_md_record: Checking checksum of /var/cache/dnf/x86_64/22/fedora/repodata/4495b70127ff2d98462367c2dd1d0c0dcfb7b7c51152c40d9411e3af65b94ede-comps-f22.xml.xz (expected: 4495b70127ff2d98462367c2dd1d0c0dcfb7b7c51152c40d9411e3af65b94ede [sha256])
lr_checksum_fd_compare: Using checksum cached in xattr: [user.Zif.MdChecksum[1431086974]] 4495b70127ff2d98462367c2dd1d0c0dcfb7b7c51152c40d9411e3af65b94ede
lr_yum_check_checksum_of_md_record: Checksum check - Passed
lr_yum_check_checksum_of_md_record: Checking checksum of /var/cache/dnf/x86_64/22/fedora/repodata/ad27855b343b541e5b8f4ac41f0c9c491868f5216faf0c1236ed9aa591d9ba90-primary.xml.gz (expected: ad27855b343b541e5b8f4ac41f0c9c491868f5216faf0c1236ed9aa591d9ba90 [sha256])
lr_checksum_fd_compare: Using checksum cached in xattr: [user.Zif.MdChecksum[1431086987]] ad27855b343b541e5b8f4ac41f0c9c491868f5216faf0c1236ed9aa591d9ba90
lr_yum_check_checksum_of_md_record: Checksum check - Passed
lr_handle_perform: Restoring an old SIGINT handler
lr_handle_perform: Using dir: /var/cache/dnf/x86_64/22/updates-testing
lr_handle_perform: Using own SIGINT handler
lr_handle_prepare_internal_mirrorlist: Preparing internal mirrorlist
lr_handle_prepare_internal_mirrorlist: Finalizing internal mirrorlist
lr_handle_prepare_internal_mirrorlist: Finalizing mirrors reported via LRI_MIRRORS
lr_handle_perform: Downloading/Locating yum repo
lr_yum_use_local: Locating repo..
lr_yum_use_local: open(/var/cache/dnf/x86_64/22/updates-testing/repodata/repomd.xml): Arquivo ou diretório não encontrado
lr_handle_perform: Restoring an old SIGINT handler
lr_handle_setopt: WARNING! Deprecated LRO_MIRRORLIST used
lr_handle_perform: Using dir: /tmp/dnf-YnWupw
lr_handle_perform: Using own SIGINT handler
lr_handle_prepare_internal_mirrorlist: Preparing internal mirrorlist
lr_download: Target: https://mirrors.fedoraproject.org/metalink?repo=updates-testing-f22&arch=x86_64 (-)
select_next_target: Selecting mirror for: https://mirrors.fedoraproject.org/metalink?repo=updates-testing-f22&arch=x86_64
prepare_next_transfer: URL: https://mirrors.fedoraproject.org/metalink?repo=updates-testing-f22&arch=x86_64
add_librepo_xattr: Cannot set xattr user.Librepo.DownloadInProgress (fd: 11): Operação não suportada 
lr_download: Downloading started
check_transfer_statuses: Transfer finished: https://mirrors.fedoraproject.org/metalink?repo=updates-testing-f22&arch=x86_64 (Effective url: https://mirrors.fedoraproject.org/metalink?repo=updates-testing-f22&arch=x86_64)
lr_handle_prepare_metalink: Parsing metalink.xml
lr_handle_prepare_metalink: Mirrors from metalink:
  rsync://fedora.c3sl.ufpr.br/fedora/linux/updates/testing/22/x86_64/repodata/repomd.xml
  ftp://fedora.c3sl.ufpr.br/fedora-enchilada/linux/updates/testing/22/x86_64/repodata/repomd.xml
  http://fedora.c3sl.ufpr.br/linux/updates/testing/22/x86_64/repodata/repomd.xml
  http://mirror.globo.com/fedora/linux/updates/testing/22/x86_64/repodata/repomd.xml
  rsync://mirror.cedia.org.ec/fedora/updates/testing/22/x86_64/repodata/repomd.xml
  http://mirror.cedia.org.ec/fedora/updates/testing/22/x86_64/repodata/repomd.xml
  ftp://mirror.cedia.org.ec/fedora/updates/testing/22/x86_64/repodata/repomd.xml
  rsync://mirror.uta.edu.ec/fedora/updates/testing/22/x86_64/repodata/repomd.xml
  ftp://mirror.uta.edu.ec/fedora/updates/testing/22/x86_64/repodata/repomd.xml
  http://mirror.uta.edu.ec/fedora/updates/testing/22/x86_64/repodata/repomd.xml
lr_handle_prepare_metalink: Metalink parsed
lr_handle_prepare_internal_mirrorlist: Finalizing internal mirrorlist
lr_handle_prepare_internal_mirrorlist: Finalizing mirrors reported via LRI_MIRRORS
lr_handle_perform: Downloading/Locating yum repo
lr_yum_download_remote: Downloading/Copying repo..
lr_yum_download_repomd: Downloading repomd.xml via mirrorlist
lr_yum_download_repomd: Expected checksum for repomd.xml: (sha512) 4fa99a6fd2385131c243f99c02780d4fc4d162446cf23fe2b7216f79a9851ec52b7434ddd6a99754d6ed8b188aea59c8ae6ea45f3f02a2ba71be9436e8ef6a1b
lr_download: Target: repodata/repomd.xml (-)
lr_prepare_lrmirrors: Preparing internal mirror list for handle id: 0x1f62570
lr_prepare_lrmirrors: Mirror: rsync://fedora.c3sl.ufpr.br/fedora/linux/updates/testing/22/x86_64/
lr_prepare_lrmirrors: Mirror: ftp://fedora.c3sl.ufpr.br/fedora-enchilada/linux/updates/testing/22/x86_64/
lr_prepare_lrmirrors: Mirror: http://fedora.c3sl.ufpr.br/linux/updates/testing/22/x86_64/
lr_prepare_lrmirrors: Mirror: http://mirror.globo.com/fedora/linux/updates/testing/22/x86_64/
lr_prepare_lrmirrors: Mirror: rsync://mirror.cedia.org.ec/fedora/updates/testing/22/x86_64/
lr_prepare_lrmirrors: Mirror: http://mirror.cedia.org.ec/fedora/updates/testing/22/x86_64/
lr_prepare_lrmirrors: Mirror: ftp://mirror.cedia.org.ec/fedora/updates/testing/22/x86_64/
lr_prepare_lrmirrors: Mirror: rsync://mirror.uta.edu.ec/fedora/updates/testing/22/x86_64/
lr_prepare_lrmirrors: Mirror: ftp://mirror.uta.edu.ec/fedora/updates/testing/22/x86_64/
lr_prepare_lrmirrors: Mirror: http://mirror.uta.edu.ec/fedora/updates/testing/22/x86_64/
select_next_target: Selecting mirror for: repodata/repomd.xml
select_suitable_mirror: Skipping rsync url: rsync://fedora.c3sl.ufpr.br/fedora/linux/updates/testing/22/x86_64/
prepare_next_transfer: URL: ftp://fedora.c3sl.ufpr.br/fedora-enchilada/linux/updates/testing/22/x86_64/repodata/repomd.xml
add_librepo_xattr: Cannot set xattr user.Librepo.DownloadInProgress (fd: 12): Operação não suportada 
lr_download: Downloading started
check_transfer_statuses: Transfer finished: repodata/repomd.xml (Effective url: ftp://fedora.c3sl.ufpr.br/fedora-enchilada/linux/updates/testing/22/x86_64/repodata/repomd.xml)
check_transfer_statuses: Error during transfer: Downloading successful, but checksum doesn't match. Calculated: 4f0c2b4fb9ba319b64049e7eea0aece3df276772071e218076bef28a64aa7a906689d5a931beb09a03d08debd10a448df894efe67457360d7006da3a30332618(sha512)  Expected: 4fa99a6fd2385131c243f99c02780d4fc4d162446cf23fe2b7216f79a9851ec52b7434ddd6a99754d6ed8b188aea59c8ae6ea45f3f02a2ba71be9436e8ef6a1b(sha512) 
check_transfer_statuses: Ignore error - Try another mirror
select_next_target: Selecting mirror for: repodata/repomd.xml
select_suitable_mirror: Skipping rsync url: rsync://fedora.c3sl.ufpr.br/fedora/linux/updates/testing/22/x86_64/
prepare_next_transfer: URL: http://fedora.c3sl.ufpr.br/linux/updates/testing/22/x86_64/repodata/repomd.xml
add_librepo_xattr: Cannot set xattr user.Librepo.DownloadInProgress (fd: 12): Operação não suportada 
check_transfer_statuses: Transfer finished: repodata/repomd.xml (Effective url: http://fedora.c3sl.ufpr.br/linux/updates/testing/22/x86_64/repodata/repomd.xml)
check_transfer_statuses: Error during transfer: Downloading successful, but checksum doesn't match. Calculated: 4f0c2b4fb9ba319b64049e7eea0aece3df276772071e218076bef28a64aa7a906689d5a931beb09a03d08debd10a448df894efe67457360d7006da3a30332618(sha512)  Expected: 4fa99a6fd2385131c243f99c02780d4fc4d162446cf23fe2b7216f79a9851ec52b7434ddd6a99754d6ed8b188aea59c8ae6ea45f3f02a2ba71be9436e8ef6a1b(sha512) 
check_transfer_statuses: Ignore error - Try another mirror
select_next_target: Selecting mirror for: repodata/repomd.xml
select_suitable_mirror: Skipping rsync url: rsync://fedora.c3sl.ufpr.br/fedora/linux/updates/testing/22/x86_64/
prepare_next_transfer: URL: http://mirror.globo.com/fedora/linux/updates/testing/22/x86_64/repodata/repomd.xml
add_librepo_xattr: Cannot set xattr user.Librepo.DownloadInProgress (fd: 12): Operação não suportada 
check_transfer_statuses: Transfer finished: repodata/repomd.xml (Effective url: http://mirror.globo.com/fedora/linux/updates/testing/22/x86_64/repodata/repomd.xml)
check_transfer_statuses: Error during transfer: Downloading successful, but checksum doesn't match. Calculated: 4f0c2b4fb9ba319b64049e7eea0aece3df276772071e218076bef28a64aa7a906689d5a931beb09a03d08debd10a448df894efe67457360d7006da3a30332618(sha512)  Expected: 4fa99a6fd2385131c243f99c02780d4fc4d162446cf23fe2b7216f79a9851ec52b7434ddd6a99754d6ed8b188aea59c8ae6ea45f3f02a2ba71be9436e8ef6a1b(sha512) 
check_transfer_statuses: Ignore error - Try another mirror
select_next_target: Selecting mirror for: repodata/repomd.xml
select_suitable_mirror: Skipping rsync url: rsync://fedora.c3sl.ufpr.br/fedora/linux/updates/testing/22/x86_64/
select_suitable_mirror: Skipping rsync url: rsync://mirror.cedia.org.ec/fedora/updates/testing/22/x86_64/
prepare_next_transfer: URL: http://mirror.cedia.org.ec/fedora/updates/testing/22/x86_64/repodata/repomd.xml
add_librepo_xattr: Cannot set xattr user.Librepo.DownloadInProgress (fd: 12): Operação não suportada 
check_transfer_statuses: Transfer finished: repodata/repomd.xml (Effective url: http://mirror.cedia.org.ec/fedora/updates/testing/22/x86_64/repodata/repomd.xml)
check_transfer_statuses: Error during transfer: Downloading successful, but checksum doesn't match. Calculated: 4f0c2b4fb9ba319b64049e7eea0aece3df276772071e218076bef28a64aa7a906689d5a931beb09a03d08debd10a448df894efe67457360d7006da3a30332618(sha512)  Expected: 4fa99a6fd2385131c243f99c02780d4fc4d162446cf23fe2b7216f79a9851ec52b7434ddd6a99754d6ed8b188aea59c8ae6ea45f3f02a2ba71be9436e8ef6a1b(sha512) 
check_transfer_statuses: Ignore error - Try another mirror
select_next_target: Selecting mirror for: repodata/repomd.xml
select_suitable_mirror: Skipping rsync url: rsync://fedora.c3sl.ufpr.br/fedora/linux/updates/testing/22/x86_64/
select_suitable_mirror: Skipping rsync url: rsync://mirror.cedia.org.ec/fedora/updates/testing/22/x86_64/
prepare_next_transfer: URL: ftp://mirror.cedia.org.ec/fedora/updates/testing/22/x86_64/repodata/repomd.xml
add_librepo_xattr: Cannot set xattr user.Librepo.DownloadInProgress (fd: 12): Operação não suportada 
check_transfer_statuses: Transfer finished: repodata/repomd.xml (Effective url: ftp://mirror.cedia.org.ec/fedora/updates/testing/22/x86_64/repodata/repomd.xml)
check_transfer_statuses: Error during transfer: Downloading successful, but checksum doesn't match. Calculated: 4f0c2b4fb9ba319b64049e7eea0aece3df276772071e218076bef28a64aa7a906689d5a931beb09a03d08debd10a448df894efe67457360d7006da3a30332618(sha512)  Expected: 4fa99a6fd2385131c243f99c02780d4fc4d162446cf23fe2b7216f79a9851ec52b7434ddd6a99754d6ed8b188aea59c8ae6ea45f3f02a2ba71be9436e8ef6a1b(sha512) 
check_transfer_statuses: Ignore error - Try another mirror
select_next_target: Selecting mirror for: repodata/repomd.xml
select_suitable_mirror: Skipping rsync url: rsync://fedora.c3sl.ufpr.br/fedora/linux/updates/testing/22/x86_64/
select_suitable_mirror: Skipping rsync url: rsync://mirror.cedia.org.ec/fedora/updates/testing/22/x86_64/
select_suitable_mirror: Skipping rsync url: rsync://mirror.uta.edu.ec/fedora/updates/testing/22/x86_64/
prepare_next_transfer: URL: ftp://mirror.uta.edu.ec/fedora/updates/testing/22/x86_64/repodata/repomd.xml
add_librepo_xattr: Cannot set xattr user.Librepo.DownloadInProgress (fd: 12): Operação não suportada 
check_transfer_statuses: Transfer finished: repodata/repomd.xml (Effective url: ftp://mirror.uta.edu.ec/fedora/updates/testing/22/x86_64/repodata/repomd.xml)
check_transfer_statuses: Error during transfer: Downloading successful, but checksum doesn't match. Calculated: 4f0c2b4fb9ba319b64049e7eea0aece3df276772071e218076bef28a64aa7a906689d5a931beb09a03d08debd10a448df894efe67457360d7006da3a30332618(sha512)  Expected: 4fa99a6fd2385131c243f99c02780d4fc4d162446cf23fe2b7216f79a9851ec52b7434ddd6a99754d6ed8b188aea59c8ae6ea45f3f02a2ba71be9436e8ef6a1b(sha512) 
check_transfer_statuses: Ignore error - Try another mirror
select_next_target: Selecting mirror for: repodata/repomd.xml
select_suitable_mirror: Skipping rsync url: rsync://fedora.c3sl.ufpr.br/fedora/linux/updates/testing/22/x86_64/
select_suitable_mirror: Skipping rsync url: rsync://mirror.cedia.org.ec/fedora/updates/testing/22/x86_64/
select_suitable_mirror: Skipping rsync url: rsync://mirror.uta.edu.ec/fedora/updates/testing/22/x86_64/
prepare_next_transfer: URL: http://mirror.uta.edu.ec/fedora/updates/testing/22/x86_64/repodata/repomd.xml
add_librepo_xattr: Cannot set xattr user.Librepo.DownloadInProgress (fd: 12): Operação não suportada 
check_transfer_statuses: Transfer finished: repodata/repomd.xml (Effective url: http://mirror.uta.edu.ec/fedora/updates/testing/22/x86_64/repodata/repomd.xml)
check_transfer_statuses: Error during transfer: Downloading successful, but checksum doesn't match. Calculated: 4f0c2b4fb9ba319b64049e7eea0aece3df276772071e218076bef28a64aa7a906689d5a931beb09a03d08debd10a448df894efe67457360d7006da3a30332618(sha512)  Expected: 4fa99a6fd2385131c243f99c02780d4fc4d162446cf23fe2b7216f79a9851ec52b7434ddd6a99754d6ed8b188aea59c8ae6ea45f3f02a2ba71be9436e8ef6a1b(sha512) 
check_transfer_statuses: Ignore error - Try another mirror
select_next_target: Selecting mirror for: repodata/repomd.xml
select_suitable_mirror: Skipping rsync url: rsync://fedora.c3sl.ufpr.br/fedora/linux/updates/testing/22/x86_64/
select_suitable_mirror: Skipping rsync url: rsync://mirror.cedia.org.ec/fedora/updates/testing/22/x86_64/
select_suitable_mirror: Skipping rsync url: rsync://mirror.uta.edu.ec/fedora/updates/testing/22/x86_64/
select_suitable_mirror: All mirrors were tried without success
lr_download: Error while downloading: Cannot download repodata/repomd.xml: All mirrors were tried
lr_yum_download_repomd: repomd.xml download was unsuccessful
lr_handle_perform: Restoring an old SIGINT handler
lr_handle_perform: Using dir: /var/cache/dnf/x86_64/22/updates-testing
lr_handle_perform: Using own SIGINT handler
lr_handle_prepare_internal_mirrorlist: Preparing internal mirrorlist
lr_handle_prepare_internal_mirrorlist: Finalizing internal mirrorlist
lr_handle_prepare_internal_mirrorlist: Finalizing mirrors reported via LRI_MIRRORS
lr_handle_perform: Downloading/Locating yum repo
lr_yum_use_local: Locating repo..
lr_yum_use_local: open(/var/cache/dnf/x86_64/22/updates-testing/repodata/repomd.xml): Arquivo ou diretório não encontrado
lr_handle_perform: Restoring an old SIGINT handler
lr_handle_perform: Using dir: /var/cache/dnf/x86_64/22/updates
lr_handle_perform: Using own SIGINT handler
lr_handle_prepare_internal_mirrorlist: Preparing internal mirrorlist
lr_handle_prepare_internal_mirrorlist: Finalizing internal mirrorlist
lr_handle_prepare_internal_mirrorlist: Finalizing mirrors reported via LRI_MIRRORS
lr_handle_perform: Downloading/Locating yum repo
lr_yum_use_local: Locating repo..
lr_yum_use_local: open(/var/cache/dnf/x86_64/22/updates/repodata/repomd.xml): Arquivo ou diretório não encontrado
lr_handle_perform: Restoring an old SIGINT handler
Error: Failed to synchronize cache for repo 'updates-testing' from 'https://mirrors.fedoraproject.org/metalink?repo=updates-testing-f22&arch=x86_64': Cannot download repomd.xml: Cannot download repodata/repomd.xml: All mirrors were tried
[root@localhost thyago]#

Comment 9 Honza Silhan 2015-05-11 10:02:43 UTC
Tomas: What does `add_librepo_xattr: Cannot set xattr user.Librepo.DownloadInProgress (fd: 4):` mean? Is it related to `progresscb`? I don't see any `DownloadInProgress` method in librepo nor any setting of `DownloadInProgress` in dnf.

Thyago: Do you still experience the same problem?

This issue was caused by temporary unavailability of fedora servers. All mirrors were tried but all of them were unreachable. When we fix `add_librepo_xattr` error, the bug could be closed then (see comment 7).

Comment 10 philip ross 2015-05-12 08:40:44 UTC
Created attachment 1024488 [details]
LIBREPO_DEBUG=1 log for dnf upgrade

Hello,

I am experiencing the reported bug and am attaching the output from 

export LIBREPO_DEBUG=1
dnf upgrade

the command fails after a few minutes with

Error: Failed to synchronize cache for repo 'updates-testing' from 'http://mirrors.fedoraproject.org/metalink?repo=updates-testing-f22&arch=x86_64': Cannot download repomd.xml: Curl error (56): Failure when receiving data from the peer for ftp://ftp.mirrorservice.org/sites/dl.fedoraproject.org/pub/fedora/linux/updates/testing/22/x86_64/repodata/repomd.xml [response reading failed]

if I try 
curl -v ftp://ftp.mirrorservice.org/sites/dl.fedoraproject.org/pub/fedora/linux/updates/testing/22/x86_64/repodata/repomd.xml

the command "hangs" when trying to switch to extended passive mode.

however if I disable espv as follows,

curl -v --disable-epsv ftp://ftp.mirrorservice.org/sites/dl.fedoraproject.org/pub/fedora/linux/updates/testing/22/x86_64/repodata/repomd.xml

then the file is transferred very quickly.

Could there be a firewall or otherwise in front of some mirrors that are having trouble with the EPSV mode that maybe affecting the reproducibility of this bug?

--philip

Comment 11 Thyago Neves 2015-05-12 12:54:45 UTC
(In reply to Jan Silhan from comment #9)
> Tomas: What does `add_librepo_xattr: Cannot set xattr
> user.Librepo.DownloadInProgress (fd: 4):` mean? Is it related to
> `progresscb`? I don't see any `DownloadInProgress` method in librepo nor any
> setting of `DownloadInProgress` in dnf.
> 
> Thyago: Do you still experience the same problem?
> 
> This issue was caused by temporary unavailability of fedora servers. All
> mirrors were tried but all of them were unreachable. When we fix
> `add_librepo_xattr` error, the bug could be closed then (see comment 7).

Hi Jan, 

In the other day, the problem has been solved by disabling the repository 'updates-testing', after that, I managed to install everything I needed. 
Today, after reading your response, I reactivated the repository and everything seems to be ok.

Thanks for the support.
Ps.: Sorry for my bad english, its not my primary language

Comment 12 Tomas Mlcoch 2015-05-14 13:01:53 UTC
Jan, the messages like:
"add_librepo_xattr: Cannot set xattr user.Librepo.DownloadInProgress (fd: XX)"
is just a debug output and nobody shouldn't be worried about this.

It just says that librepo cannot set an extended attribute to a file.
This extended attributes are used by librepo in order to identify if a partially downloaded file was originally downloaded by librepo or not, it's because Librepo doesn't try to resume download for files that weren't originally downloaded by it:

https://github.com/Tojaj/librepo/commit/8d19b1722edfe41c2929e2bfbada0972dbabcf8e

Comment 13 Mike Simms 2015-05-14 14:17:04 UTC
*** Bug 1220776 has been marked as a duplicate of this bug. ***

Comment 14 Mike Simms 2015-05-14 14:23:15 UTC
The only way I can get yumex-dnf to run without 30 minute delays between checking each repository and downloading meta data (totalling 3 hours) is to follow the instructions in the post:

https://bugzilla.redhat.com/show_bug.cgi?id=1220776#c8

"sudo LIBREPO_DEBUG=1 /usr/share/dnfdaemon/dnfdaemon-system -d -v --notimeout

Okay, so dnf clean all followed by dnf makecache caused the same behaviour.

I've run the commands you posted in your last post and the process seems to have completed as it should this time.

yumex-dnf -d output to follow"

there seems to be a bad timeout or wait value affecting the dnf backend.

my network settings are okay since normal yumex not using dnf in Fedora 22 works fine on the same VM. As does downloading packages from all repos manually with wget and browsing in firefox. DNS servers are fine too.

Comment 15 Marcin Juszkiewicz 2015-05-28 14:35:18 UTC
*** Bug 1218353 has been marked as a duplicate of this bug. ***

Comment 16 Sergio Monteiro Basto 2015-06-07 22:04:59 UTC
bug #1209862 have one clue.

Comment 17 Mike Simms 2015-06-09 11:52:11 UTC
latest updates to yumex-dnf (4.1.3.1.fc22) and dnfdaemon (0.3.9.1.fc22) seem to have resolved this issue for me I will leave karma for both.

Comment 18 Honza Silhan 2015-06-19 12:35:59 UTC
I am closing this. The cause was of temporary unavailability of the servers (comment 7, comment 11). `add_librepo_xattr` error was explained in comment 12 and comment 17 says it works in yumex-dnf too. The long delays should be fixed in dnf-1.0.1 (lower timeout option set). Closing.

Comment 19 Peter Robinson 2015-06-19 12:55:11 UTC
Actually I'm still seeing it, and we have enough resilience in our servers/mirrors that it shouldn't fail with the loss of a single server. I'm also seeing it on some devices but not others.

Comment 20 Sergio Monteiro Basto 2015-06-19 13:05:23 UTC
Should be something like this: 
12: Timeout on https://mirrors.fedoraproject.org/metalink?repo=fedora-21&arch=x86_64: (28, 'Operation too slow. Less than 1000 bytes/sec transferred the last 30 seconds') ?

Comment 21 Michal Luscon 2015-06-19 13:06:35 UTC
Are you using dnf-1.0.1-2?

Comment 22 Peter Robinson 2015-06-19 13:13:25 UTC
(In reply to Michal Luscon from comment #21)
> Are you using dnf-1.0.1-2?

What ever shipped with F-22 GA, need to be able to update to get anything newer

Comment 23 Radek Holy 2015-06-19 13:48:41 UTC
At #fedora-admin I can see a lot of people unable to download metalink. They report problems with all the package managers. It seems that we hit another problem in Fedora infrastructure.

Comment 24 philip ross 2015-06-19 13:52:28 UTC
(In reply to Peter Robinson from comment #19)
> Actually I'm still seeing it, and we have enough resilience in our
> servers/mirrors that it shouldn't fail with the loss of a single server. I'm
> also seeing it on some devices but not others.

If the underlying cause of the problem is because DNF cannot download files from some hosts when it uses extended passive mode (epsv), is that a bug in DNF? In the uk when DNF tries to download repomd.xml from ftp://ftp.mirrorservice.org it fails when it tries to switch the ftp transfer into epsv mode.

When this happens, the host is alive and I can download the file manually in curl by specifying the -disable-epsv flag.

In my mind, this should be classified as a bug in DNF because it is new behaviour compared to YUM in Fedora 21 and there appears to be no configuration or option to tell DNF to not consider epsv mode. The -4 option to DNF doesn't seem to help, but one possibility would be to have DNF disable epsv mode when the -4 option is present, as my understanding is that epsv only difference to pasv is support for ipv6.

Comment 25 Radek Holy 2015-06-19 14:56:27 UTC
The original problem was that the checksums of the repomd.xml files did not match the checksums in the metalink. This was caused by the infrastructure.

The problem with the EPSV mode is a duplicate of the bug 1220269 which is a duplicate of the bug 1219817 which should be fixed by librepo-1.7.16-1.fc22. Is this your case, Peter?

Current problems are caused by the infrastructure again. Refer to #fedora-admin.

Comment 26 Peter Robinson 2015-06-19 15:01:09 UTC
> The problem with the EPSV mode is a duplicate of the bug 1220269 which is a
> duplicate of the bug 1219817 which should be fixed by librepo-1.7.16-1.fc22.
> Is this your case, Peter?

Nope, I have 12 Fedora machines running ARM, 8 of them don't have an issue. They're also running on a dual stack IPv4/IPv6 native routed (not via a tunneling network) so there's means of them getting out completely without NAT. 

> Current problems are caused by the infrastructure again. Refer to
> #fedora-admin.

Yes, I'm well aware of those.

Comment 27 EMR_Fedora 2015-06-19 18:26:39 UTC
Is there any solution to this... it seems like it attempts to contact the server and the only thing is SYN_SENT because it uses some weird high port... in any case, it never times out even though I set the timeout=5 in the dnf.conf file. Yum always worked fine, and was quick. I think the company firewall only allows 80/443 out

Comment 28 Dominique Brazziel 2015-06-19 21:47:49 UTC
I have been experiencing this for about a week, can't get any updates on my x86 machine.  On my x86_64 machine dnf updateinfo info indicates that 'kernel-4.0.4-303.fc22' is available but it is already installed and running.  'dnf check-update' fails on both machines.  'dnf upgrade' says 'Nothing to do.' but I know it lies.

Comment 29 Jeff Buhrt 2015-06-20 01:36:57 UTC
I just fedup upgraded a Fedora 21 KVM VM to F22 and have the same problem as above. Luckily it is a pre-production guest (and I have LV backups if needed).

I have tried:
# dnf clean all
# export LIBREPO_DEBUG=1
# dnf repolist
Librepo version: 1.7.13 with CURL_GLOBAL_ACK_EINTR support (libcurl/7.40.0 NSS/3.18 Basic ECC zlib/1.2.8 libidn/1.29 libssh2/1.5.0)
lr_download: Target: file:///etc/dnf/dnf.conf (-)
select_next_target: Selecting mirror for: file:///etc/dnf/dnf.conf
prepare_next_transfer: URL: file:///etc/dnf/dnf.conf
add_librepo_xattr: Cannot set xattr user.Librepo.DownloadInProgress (fd: 4): Operation not supported
lr_download: Downloading started
...


trying again, this time removing /var/cache/dnf and /var/cache/yum:
...
prepare_next_transfer: URL: http://mirror.csclub.uwaterloo.ca/fedora/linux/updates/22/i386/repodata/repomd.xml
add_librepo_xattr: Cannot set xattr user.Librepo.DownloadInProgress (fd: 14): Operation not supported
check_transfer_statuses: Transfer finished: repodata/repomd.xml (Effective url: http://mirror.csclub.uwaterloo.ca/fedora/linux/updates/22/i386/repodata/repomd.xml)
check_transfer_statuses: Error during transfer: Downloading successful, but checksum doesn't match. Calculated: 2504f8dcc0920e293d23d3d81e4075dad23c42b280829d7327e1fb9a3d18765fc1c0847f6d27c0954c439d6fa4720f4351d1e04f710c67a04a4430dc0c03be5d(sha512)  Expected: 1e1957095d61711aea712e7b5c5b0b32aa67f722b4a6f6e1aa3ba3d4cd8222c7a60bd30251d15d7122d03092d399dd422c5f0bae502c3b6dcc5f2382e784629d(sha512) 
check_transfer_statuses: Ignore error - Try another mirror
select_next_target: Selecting mirror for: repodata/repomd.xml
select_suitable_mirror: Skipping rsync url: rsync://mirror.umd.edu/fedora/linux/updates/22/i386/
select_suitable_mirror: Skipping rsync url: rsync://mirror.symnds.com/fedora/updates/22/i386/
select_suitable_mirror: Skipping rsync url: rsync://repo.atlantic.net/fedora/linux/updates/22/i386/
select_suitable_mirror: Skipping rsync url: rsync://mirror.pnl.gov/fedora/linux/updates/22/i386/
select_suitable_mirror: Skipping rsync url: rsync://mirror.cs.pitt.edu/fedora-enchilada/updates/22/i386/
select_suitable_mirror: Skipping rsync url: rsync://mirror.web-ster.com/fedora/updates/22/i386/
select_suitable_mirror: Skipping rsync url: rsync://mirrors.syringanetworks.net/fedora/updates/22/i386/
select_suitable_mirror: Skipping rsync url: rsync://mirror.steadfast.net/fedora/updates/22/i386/
select_suitable_mirror: Skipping rsync url: rsync://mirror.redsox.cc/fedora-enchilada/updates/22/i386/
select_suitable_mirror: Skipping rsync url: rsync://lug.mtu.edu/fedoralinux/updates/22/i386/
select_suitable_mirror: Skipping rsync url: rsync://fedora.mirrors.tds.net/fedora-enchilada/updates/22/i386/
select_suitable_mirror: Skipping rsync url: rsync://rsync.gtlib.gatech.edu/fedora-enchilada/linux/updates/22/i386/
select_suitable_mirror: Skipping rsync url: rsync://mirror.cogentco.com/fedora-enchilada/updates/22/i386/
select_suitable_mirror: Skipping rsync url: rsync://mirrors.tummy.com/fedora/updates/22/i386/
select_suitable_mirror: Skipping rsync url: rsync://mirror.clarkson.edu/fedora/updates/22/i386/
select_suitable_mirror: Skipping rsync url: rsync://mirrors.cat.pdx.edu/fedora-enchilada/updates/22/i386/
select_suitable_mirror: Skipping rsync url: rsync://mirror.chpc.utah.edu/pub/fedora/linux/updates/22/i386/
select_suitable_mirror: Skipping rsync url: rsync://fedora.bhs.mirrors.ovh.net/download.fedora.redhat.com/linux/updates/22/i386/
select_suitable_mirror: Skipping rsync url: rsync://mirror.csclub.uwaterloo.ca/fedora-enchilada/linux/updates/22/i386/
select_suitable_mirror: All mirrors were tried without success
lr_download: Error while downloading: Cannot download repodata/repomd.xml: All mirrors were tried
lr_yum_download_repomd: repomd.xml download was unsuccessful
lr_handle_perform: Restoring an old SIGINT handler
lr_handle_perform: Using dir: /var/cache/dnf/i386/22/updates
lr_handle_perform: Using own SIGINT handler
lr_handle_prepare_internal_mirrorlist: Preparing internal mirrorlist
lr_handle_prepare_internal_mirrorlist: Finalizing internal mirrorlist
lr_handle_prepare_internal_mirrorlist: Finalizing mirrors reported via LRI_MIRRORS
lr_handle_perform: Downloading/Locating yum repo
lr_yum_use_local: Locating repo..
lr_yum_use_local: open(/var/cache/dnf/i386/22/updates/repodata/repomd.xml): No such file or directory
lr_handle_perform: Restoring an old SIGINT handler
Error: Failed to synchronize cache for repo 'updates' from 'https://mirrors.fedoraproject.org/metalink?repo=updates-released-f22&arch=i386': Cannot download repomd.xml: Cannot download repodata/repomd.xml: All mirrors were tried


Anything you like me to try? (Or is it DNF mirrors being broken again like noted in above tickets?)

Comment 30 pete johnson 2015-06-20 06:46:55 UTC
On my i686 machine dnf fails to install any updates due to checksum differences:

[pete@localhost Downloads]$ uname -a
Linux localhost.localdomain 4.0.4-303.fc22.i686+PAE #1 SMP Thu May 28 12:54:53 UTC 2015 i686 i686 i386 GNU/Linux

[pete@localhost Downloads]$ /bin/rpm -qi dnf
Name        : dnf
Version     : 1.0.0
Release     : 1.fc22
Architecture: noarch
Install Date: Sun 07 Jun 2015 06:45:55 PM EDT
Group       : Unspecified
Size        : 724399
License     : GPLv2+ and GPLv2 and GPL
Signature   : RSA/SHA256, Sat 02 May 2015 03:27:26 PM EDT, Key ID 11adc0948e1431d5
Source RPM  : dnf-1.0.0-1.fc22.src.rpm
Build Date  : Sat 02 May 2015 09:00:08 AM EDT
Build Host  : arm02-builder20.arm.fedoraproject.org
... remainder elided ...

[root@localhost yum.repos.d]# /usr/bin/dnf -vvv upgrade
cachedir: /var/cache/dnf/i386/22
Loaded plugins: debuginfo-install, migrate, Query, copr, playground, langpacks, needs-restarting, protected_packages, builddep, kickstart, reposync, generate_completion_cache, download, config-manager, noroot
initialized Langpacks plugin
DNF version: 1.0.0
repo: using cache for: fedora
not found deltainfo for: Fedora 22 - i386
not found updateinfo for: Fedora 22 - i386
repo: using cache for: google-chrome
not found deltainfo for: google-chrome - \i386
not found updateinfo for: google-chrome - \i386
error: Downloading successful, but checksum doesn't match. Calculated: 4f3fe8981f4ef9c40d7e50669345014a95f6802d5c1c829d3e9825d467f4832cc33bfb1c32340e476482a78a1a11a4c4577b388624a94fe7c24f5d94cea94a0c(sha512)  Expected: 1e1957095d61711aea712e7b5c5b0b32aa67f722b4a6f6e1aa3ba3d4cd8222c7a60bd30251d15d7122d03092d399dd422c5f0bae502c3b6dcc5f2382e784629d(sha512)  (http://repo.atlantic.net/fedora/linux/updates/22/i386/repodata/repomd.xml).
error: Downloading successful, but checksum doesn't match. Calculated: 4f3fe8981f4ef9c40d7e50669345014a95f6802d5c1c829d3e9825d467f4832cc33bfb1c32340e476482a78a1a11a4c4577b388624a94fe7c24f5d94cea94a0c(sha512)  Expected: 1e1957095d61711aea712e7b5c5b0b32aa67f722b4a6f6e1aa3ba3d4cd8222c7a60bd30251d15d7122d03092d399dd422c5f0bae502c3b6dcc5f2382e784629d(sha512)  (http://mirror.pnl.gov/fedora/linux/updates/22/i386/repodata/repomd.xml).
...
... many of the same type error messages elided ...
...
Error: Failed to synchronize cache for repo 'updates' from 'https://mirrors.fedoraproject.org/metalink?repo=updates-released-f22&arch=i386': Cannot download repomd.xml: Cannot download repodata/repomd.xml: All mirrors were tried

I used wget to download repomod.xml:

[pete@localhost Downloads]$ wget http://repo.atlantic.net/fedora/linux/updates/22/i386/repodata/repomd.xml
--2015-06-20 01:08:26--  http://repo.atlantic.net/fedora/linux/updates/22/i386/repodata/repomd.xml
Resolving repo.atlantic.net (repo.atlantic.net)... 209.208.0.209
Connecting to repo.atlantic.net (repo.atlantic.net)|209.208.0.209|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 4985 (4.9K) [text/xml]
Saving to: ‘repomd.xml’

repomd.xml          100%[=====================>]   4.87K  --.-KB/s   in 0.005s 

2015-06-20 01:08:27 (987 KB/s) - ‘repomd.xml’ saved [4985/4985]

then calculated sha512sum:

[pete@localhost Downloads]$ sha512sum repomd.xml
4f3fe8981f4ef9c40d7e50669345014a95f6802d5c1c829d3e9825d467f4832cc33bfb1c32340e476482a78a1a11a4c4577b388624a94fe7c24f5d94cea94a0c  repomd-atlantic.xml

which matches sha512sum calculated by dnf.  From where does dnf get the
erroneous "expected" sha512sum of 1e1957095...?

Comment 31 Martin Dobranský 2015-06-20 07:07:45 UTC
I have the same issue when I try #dnf update or #dnf install it shows me only 

Chyba: Chyba synchronizace repozitáře 'updates' z 'https://mirrors.fedoraproject.org/metalink?repo=updates-released-f22&arch=i386': Cannot download repomd.xml: Cannot download repodata/repomd.xml: All mirrors were tried ....(I'm Czech)

I don't think it's caused by temporaly unavailability of servers. This is nearly impossible. How could about 200 of servers be all nonfunctional at one time ??! I tried # export LIBREPO_DEBUG=1 and it shows me the same log as iplexsia's . I really need to get it work now. Is there any way to fix it? Or have I just to wait if it's caused by servers?

Comment 32 Richard Z. 2015-06-20 11:00:50 UTC
I am getting very similar problems with "yum" and Fedora 21. Hundreds or thousands of lines like

http://ftp.byfly.by/pub/fedoraproject.org/linux/updates/21/i386/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                     | 4.9 kB  00:00     
http://fedora.ip-connect.vn.ua/linux/updates/21/i386/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                                         | 4.9 kB  00:00:00     
ftp://ftp.otenet.gr/pub/linux/fedora/linux/updates/21/i386/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                                         | 4.9 kB  00:00:00     
http://www.fedora.is/fedora/updates/21/i386/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                                         | 4.9 kB  00:00:00     
http://mirror.proserve.nl/fedora/linux/updates/21/i386/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.

Comment 33 Rick 2015-06-20 13:03:07 UTC
Same dnf checksum errors for i386 F22 Cloud.

Comment 34 Parag Nemade 2015-06-20 13:19:32 UTC
*** Bug 1233996 has been marked as a duplicate of this bug. ***

Comment 35 GMS 2015-06-20 14:05:23 UTC
(In reply to pete johnson from comment #30)
> On my i686 machine dnf fails to install any updates due to checksum
> differences:
...
> [pete@localhost Downloads]$ sha512sum repomd.xml
> 4f3fe8981f4ef9c40d7e50669345014a95f6802d5c1c829d3e9825d467f4832cc33bfb1c32340
> e476482a78a1a11a4c4577b388624a94fe7c24f5d94cea94a0c  repomd-atlantic.xml
> 
> which matches sha512sum calculated by dnf.  From where does dnf get the
> erroneous "expected" sha512sum of 1e1957095...?

To expand on this, it seems that that are (at least) 3 different checksums
for ...updates/22/i386/repodata/repomd.xml which are reported by different
servers:

4f3fe...  44cd7... and 2504f...

all of them failing to compare to 1e195...

After a couple of pages of such error messages comes the final

   Cannot download repodata/repomd.xml: All mirrors were tried

Is there some major problem with the repo infrastructure? 

(I did "dnf clean all" followed by "dnf upgrade")

Comment 36 GMS 2015-06-20 14:16:38 UTC
... and yes, starting approximately at comment 28 we slid from 64 bit
to 32 bit...

Comment 37 Alick Zhao 2015-06-21 04:09:42 UTC
I seem to experience similar symptom with comment 32 on my Fedora 21 x86_64 laptop with yum yesterday. After a few lines of "repomd.xml xml does not match metalink for updates", `sudo yum update` aborts.

I also write a scratch script to check the sha256sum of repomd.xml files on different servers against the sha256 checksum indicated in metalink. I find there are quite a few different checksums.

Comment 38 Sergio Monteiro Basto 2015-06-21 04:17:20 UTC
I think this is a little different problem, some hours ago was announce:

First, I’d like to let you know that the mirrorlists/metalink issues should all be fixed now, so please do ‘dnf clean all’ or ‘yum clean all’ and retry your operations and let us know (via a Fedora Infrastructure ticket or #fedora-admin on irc) if you still see any problems. If you changed your repo files while this issue was happening, I would strongly urge you to change it back to the metalink. It has a number of great advantages over a specific mirror or mirrorlist.

Comment 39 GMS 2015-06-21 12:31:33 UTC
"checksum doesn't match" problem on i386 is gone,
"dnf upgrade" is working.

Comment 40 Dominique Brazziel 2015-06-21 17:27:32 UTC
OK on i386 and x86_64 here also.  I'm assuming this was a Fedora infrastructure
error.  If so, maybe a warning message from librepo might help prevent future hand-wringing and hours wasted by the user trying to fix / workaround the problem
on their end.  I know I spent a bunch of time deleting .xml.gz files from '/var/tmp/dnf*' ('/var/spool/dnf*' as of recent dnf upgrade) and rooting around
'/var/cache/dnf' trying to see if I had something corrupt on my systems.

Maybe the warning/error message could be based on a threshold of some sort, i.e.
total errors from different mirrors?

Comment 41 pete johnson 2015-06-22 02:52:53 UTC
"dnf upgrade" on my i686 f22 machine now works correctly.

Thanks for the fix.

Comment 42 Radek Holy 2015-06-22 11:24:51 UTC
Yes, the warning may be beneficial since it seems that people doesn't read/believe the comments posted by DNF developers. It was written many times that this is an infrastructure issue. AFAIK, the problem is the synchronization of the mirrors. The metalink was updated but the mirrors were not synchronized yet. Or the other way.

What I'd expect is that the infrastructure people will announce as loudly as possible that they are solving such an issue so that we don't get 40 same reports of an issue that cannot be solved on a package manager level.

(In reply to pete johnson from comment #30)
> From where does dnf get the
> erroneous "expected" sha512sum of 1e1957095...?

From the metalink.

(In reply to Martin Dobranský from comment #31)
> How could about 200 of servers be all nonfunctional at one time ??!

As Fedora infrastructure. But as I said, the servers were available, but I think that they were not synchronized.

(In reply to GMS from comment #35)
> Is there some major problem with the repo infrastructure? 

Yes, see the comments above or ask on #fedora-admin.

(In reply to Peter Robinson from comment #26)
> Nope, I have 12 Fedora machines running ARM, 8 of them don't have an issue.
> They're also running on a dual stack IPv4/IPv6 native routed (not via a
> tunneling network) so there's means of them getting out completely without
> NAT. 

So, if you still experience the problem, can you please file a new bug with the DNF output produced when the LIBREPO_DEBUG environment variable is set to 1? I suspect that the problem is something else than the mismatch of the checksums.

Comment 43 George R. Goffe 2015-06-22 16:03:06 UTC
Hi,

The problem that I reported HAS BEEN resolved..., "i.e., the sync complaint from DNF".

My systems are Intel based x86_64 and all the repos have been put back into their previous states. dnf upgrade works VERY nicely.

THANKS for all your hard work and patience,

George...

Comment 44 Alick Zhao 2015-06-22 16:14:18 UTC
Thanks. Things seem fine to me now.

Comment 45 Honza Silhan 2015-06-24 12:38:53 UTC
Great to hear it's working for you. I am closing it again for the same reason - temporary unavailability of fedora servers around 2015-06-19 - 2015-06-20. 

Peter Robinson, you may have hit different (epsv) issue. Please, update to dnf-1.0.1+ and librepo-1.7.16+. File a new bug report when it happened again. Thanks.

Comment 46 Peter Robinson 2015-06-27 11:36:46 UTC
> Peter Robinson, you may have hit different (epsv) issue. Please, update to
> dnf-1.0.1+ and librepo-1.7.16+. File a new bug report when it happened
> again. Thanks.

filed bug 1236291

Comment 47 Rei 2015-08-27 11:11:36 UTC
I got a similar issue since 2 days ago (https://bugzilla.redhat.com/show_bug.cgi?id=1257034). Is it the same issue?

Comment 48 Dominique Brazziel 2015-09-05 15:57:59 UTC
I haven't been able to get updates for my 32-bit machine for a week or more down.  DNF always chokes on the the same curl error:  

check_transfer_statuses: Error during transfer: Curl error (7): Couldn't connect to server for https://mirrors.fedoraproject.org/metalink?repo=updates-released-f22&arch=i386 [Failed to connect to mirrors.fedoraproject.org port 443: No route to host]

Tried netcat connection:

nc -v mirrors.fedoraproject.org 443
Ncat: Version 6.47 ( http://nmap.org/ncat )
Ncat: No route to host.

Traceroute shows host unreachable (see !H on last line):
traceroute mirrors.fedoraproject.org
traceroute to mirrors.fedoraproject.org (66.135.62.187), 30 hops max, 60 byte packets
 1  ROUTER (192.168.1.1)  0.891 ms  0.670 ms  1.106 ms
 2  * * *
 3  crr01asfdct-tge-0-3-0-0.asfd.ct.charter.com (96.34.87.37)  170.650 ms  114.333 ms  170.377 ms
 4  crr03oxfrma-tge-0-4-0-0.oxfr.ma.charter.com (96.34.81.54)  170.321 ms crr03oxfrma-tge-0-4-0-1.oxfr.ma.charter.com (96.34.81.56)  170.289 ms crr03oxfrma-tge-0-4-0-0.oxfr.ma.charter.com (96.34.81.54)  181.684 ms
 5  bbr01oxfrma-bue-1.oxfr.ma.charter.com (96.34.2.12)  181.632 ms  204.451 ms  204.438 ms
 6  bbr01nwtwct-bue-4.nwtw.ct.charter.com (96.34.0.51)  257.451 ms  256.964 ms  295.044 ms
 7  bbr02ashbva-bue-2.ashb.va.charter.com (96.34.0.48)  295.032 ms  182.449 ms  125.947 ms
 8  prr01ashbva-bue-6.ashb.va.charter.com (96.34.3.89)  125.682 ms  125.499 ms  148.331 ms
 9  equinixexchange.peer1.net (206.126.236.30)  137.870 ms  137.628 ms  114.960 ms
10  10ge-xe-0-1-0.dal-eqx-cor-2.peer1.net (216.187.88.206)  173.002 ms  131.511 ms  142.501 ms
11  10ge.xe-0-3-0.sat-8500v-sbcor-2.peer1.net (216.187.124.37)  138.918 ms  161.094 ms 10ge.xe-2-0-0.sat-8500v-sbcor-2.peer1.net (216.187.115.237)  161.040 ms
12  mirrors.fedoraproject.org (66.135.62.187)  218.404 ms  218.365 ms  218.147 ms
13  mirrors.fedoraproject.org (66.135.62.187)  1671.504 ms !H  1671.349 ms !H  1671.499 ms !H

Trying to get the metalink directly from the web in google-chrome:

https://mirrors.fedoraproject.org/metalink?repo=fedora-22&arch=i386
This webpage is not available

ERR_ADDRESS_UNREACHABLE

Tried using baseurl in '/etc/yum.repos.d/fedora-updates.repo', that would get a little progress but eventually things would fail saying all mirrors had been tried.

The odd thing is that my 64-bit Fedora machine (arch=x86_64) on the same network
behind my router had no problem downloading the i386 metalink or getting updates
for x86_64.

Comment 49 Neil 2015-09-06 17:08:22 UTC
I'm having this issue, shouldn't dnf choose the most responsive/fastest mirror?
(dnf-0:1.1.0-2.fc22.noarch)

Comment 50 Dominique Brazziel 2015-09-06 20:15:34 UTC
I was only able to work around this by doing this:

1.  Changed both 'fedora.repo' and 'fedora-updates.repo' to point to 'baseurl' instead of 'metalink'
2.  Delete everything from '/var/cache/dnf'
3.  Run dnf --refresh upgrade

Comment 51 markusN 2015-09-08 10:16:52 UTC
I have the same problem (just updated to F22 yesterday with fedup):

1.  Changed both 'fedora.repo' and 'fedora-updates.repo' to point to 'baseurl' instead of 'metalink'
2.  Delete everything from '/var/cache/dnf'
3.  Run 

dnf --refresh upgrade
Error: Failed to synchronize cache for repo 'fedora' from 'http://download.fedoraproject.org/pub/fedora/linux/releases/22/Everything/x86_64/os/': Cannot download repomd.xml: Cannot download repodata/repomd.xml: All mirrors were tried

(On F21 dnf worked fine)

Comment 52 Richard Z. 2015-09-08 15:05:17 UTC
@Dominique & markus:

this bugs should be perhaps filed against DNF?

Comment 53 Dominique Brazziel 2015-09-09 16:43:51 UTC
It seems like these are librepo bugs, I think that is the package that handles
getting the metalink stuff.  

Metalink is in terrible need of modifications to make it more robust and provide
more informative messages to the user about how to proceed.  Any type of Fedora
infrastructure problem (i.e. 'no route to host / connection rejected' from mirrors.fedoraproject.org) breaks dnf every time require manual intervention.

There should be the choice of an automatic fallback mechanism to 'baseurl' for fedora and fedora-update repos if the '/var/cache/dnf/' directories are left in a messed up state (i.e. no 'metalink.xml' file, bad 'repomd.xml') due to prior
lack of synchronization.

Comment 54 Dominique Brazziel 2015-09-11 22:57:21 UTC
sudo dnf upgrade
Error: Failed to synchronize cache for repo 'updates' from 'https://mirrors.fedoraproject.org/metalink?repo=updates-released-f22&arch=i386': Cannot prepare internal mirrorlist: Curl error (7): Couldn't connect to server for https://mirrors.fedoraproject.org/metalink?repo=updates-released-f22&arch=i386 [Failed to connect to mirrors.fedoraproject.org port 443: No route to host]

metalink has now failed for about a week with this exact error.  Please advise.

Is it a(n) SSL certificates problem?  
Anything connect with nss or openssl?  
Why can't a connection be made to https://mirrors.fedoraproject.org?

All relevant packages on the i386 machine (i.e. dnf, librepo, nss, openssl*) are
at the same version as the x86_64 machine.  Any relevant packages that are not
installed can't be installed without being able to get the current metalink.
The 'baseurl' trick works for one day and then fails the next.  I suspect the cause of this is the stupid systemd dnf-makecache.{service | time} which is  
only useful if the machine has a working cache and non-FUBAR'ed metalink data.

Comment 55 Dominique Brazziel 2015-09-12 17:01:22 UTC
UGH Configuration error on my part, I had 'mirrors.fedoraproject.org' hard coded
in '/etc/hosts'.  That insertion had to be an attempt to remedy the this problem
the last time it occurred.  Things seem back to normal now.

Comment 56 Neil 2015-09-12 17:27:06 UTC
I never made it with DNF, I just came back to F21. Hope that in Fedora 23 DNF is not alpha anymore.

Comment 57 Dominique Brazziel 2015-09-13 22:42:21 UTC
I think you can make it with F22.  The problem is that temporary infrastructure problems on Fedora's servers throw everything out of wack and then you have to go 'nuculer' on the directory, start over, and drill down on any problems getting the 'metadata.xml' 'naturally'.  It might seem to others that I may have OCD about these software updates but I've been doing them for 35 years from IBM mainframes to Debian and Fedora and, unlike most things, I take them seriously.  When something is wrong I try to pinpoint the failing component and try to fix it, see that someone else fixes it, or fall down trying.  All fixes for a particular issue should be forever, I don't want to see it again, ever.

The 'baseurl' option works for awhile then seems to fail, but yesterday before I found out I had my resolver configuration ('/etc/hosts') messed up, I kept
hammering with 'dnf upgrade' and eventually got all the packages downloaded.
I think the 'all mirrors tried' is transient, and the next time you try, dnf tries a different mirror to get the .rpm(s) that haven't been downloaded.

It helps to do a 'dnf makecache' after you get _any_ success so dnf doesn't start 
all over from the beginning each upgrade run, that way it will only try to fetch
what it needs and that's how you can whittle down the list of outstanding packages.


Note You need to log in before you can comment on or make changes to this bug.